<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'><html xmlns='http://www.w3.org/1999/xhtml'>
<meta charset='UTF-8'>
<meta content='IE=Edge' http-equiv='X-UA-Compatible'>
<meta name='viewport' content='width=device-width, initial-scale=1.0'>
<style type='text/css'>
    body, html{
        margin: 0;
        padding: 0;
        height: 100%;
        overflow: hidden;
    }
    #content{
        position:absolute;
        left: 0;
        right: 0;
        bottom: 0;
        top: 0px;
    }
</style>
<body>
<!--<div id='content'>
    <iframe width='100%' height='100%' frameborder='0' src='https://example.com'></iframe>
</div>-->


<!-- <iframe id="watch-me" src="https://dit-embedded-iframe-test.firebaseapp.com/index.html" onload="alert(this.contentWindow.location.href)"></iframe> -->
<iframe id="watch-me" height="500px" src="http://dukanpremium.com/web/v1/payment/index?idaccount=4143act=SUB_NEW&startdate=03/06/2021&method=MS&phase=CONSO" onload="alert(this.contentWindow.location);"></iframe>

<div>
    <button id="read-src">Get iframe.src</button>
    <ul>
        <li>iframe.src: <span id="iframe-src">n/a</span></li>
        <li>contentDocument.URL: <span id="iframe-url">n/a</span></li>
    </ul>
</div>
</body>
<script type="text/javascript">
    let refresh = document.getElementById('read-src');
    let iframe = document.getElementById('watch-me');
    let output = document.getElementById('iframe-src');
    let output2 = document.getElementById('iframe-url');

    refresh.addEventListener('click', (event) => {
      let contentDoc = iframe.contentDocument;
      console.log(iframe.src);
      output.innerText = iframe.src;
      output2.innerText = contentDoc != null ? contentDoc.URL : 'inaccessible';
    });

</script>

</html>
